Home > Dpkg Error > Dpkg Error Processing Postgresql-8.4 -purge

Dpkg Error Processing Postgresql-8.4 -purge

How can I have low-level 5e necromancer NPCs controlling many, many undead in this converted adventure? Please check the log output: > 2009-12-20 02:41:47 EST LOG: invalid IP mask "trust": Name or service not > known > 2009-12-20 02:41:47 EST CONTEXT: line 110 of configuration file > Create a new DB user for a specific application and use that instead. asked 2 years ago viewed 2851 times active 2 years ago Linked 44 How to add user without /home 0 postgresql installation damaged Related 0Attempting to re-install postgres fails due to navigate to this website

invoke-rc.d: initscript postgresql-8.4, action "start" failed. Read 'Hot, Flat, and Crowded' Information forwarded to [email protected], Martin Pitt : Bug#536656; Package postgresql-8.4. (Mon, 09 Nov 2009 06:12:02 GMT) Full text and rfc822 format available. Please check the log output: The PostgreSQL server failed to start. After this operation, 0 B of additional disk space will be used. http://askubuntu.com/questions/342307/dependency-errors-in-ubuntu-installation

Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the dpkg: error processing postgresql (--configure): dependency problems - leaving unconfigured No apport report written because the error message indicates its a followup error from a previous failure. My adviser wants to use my code for a spin-off, but I want to use it for my own company I have hundreds of friends.

Can you please attach > /var/log/postgresql/* ? > > Thanks, > > Martin Hi, there was nothing too obvious: 2009-07-12 16:39:09 CST LOG: incomplete startup packet 2009-07-12 16:39:11 CST LOG: received Trying to recover: Setting up postgresql-8.4 (8.4.2-0ubuntu9.10) ... * Starting PostgreSQL 8.4 database server * The PostgreSQL server failed to start. I still don't have pgadminIII working yet. Message #15 received at [email protected] (full text, mbox, reply): From: Arthur Marsh To: Martin Pitt Cc: [email protected] Subject: Re: Bug#536656: postgresql-8.4: fails to restart after upgrade Date: Mon, 13

Affecting: postgresql-8.4 (Ubuntu) Filed here by: Hal Lewis When: 2011-05-18 Completed: 2016-04-15 Target Distribution Baltix BOSS Juju Charms Collection Elbuntu Guadalinex Guadalinex Edu Kiwi Linux nUbuntu PLD Linux Tilix tuXlab Ubuntu Maybe the combination worked, but my memomry of my last problems with postgres install say it was just changing the .conf file. invoke-rc.d: initscript postgresql-8.4, action "start" failed. https://bugs.launchpad.net/bugs/784697 However, it is generally not recommended to do stuff as DB superuser.

The error is: $ sudo apt-get install postgresql-common Reading package lists... My home PC has been infected by a virus! The ONLY difference that I could see was that the 'listen localhost' directive in the old version was active, and the new version wasn't. Here is the output from Synaptic: In the Installation Progress window: Selecting previously deselected package postgresql-8.4. (Reading database ... 302782 files and directories currently installed.) Unpacking postgresql-8.4 (from .../postgresql-8.4_8.4.2-0ubuntu9.10_i386.deb) ...

No good. English equivalent of the Portuguese phrase: "this person's mood changes according to the moon" How old is Maz Kanata? If I use 'sudo -u postgres psql postgres' to connect, no problem. Thanks, Martin -- Martin Pitt | http://www.piware.de Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org) Information forwarded to [email protected], Martin Pitt : Bug#536656; Package postgresql-8.4. (Sun, 12 Jul 2009 22:06:02 GMT) Full

I've tried uninstalling / reinstalling postgresql-8.4 to no avail. http://darrenmanning.com/dpkg-error/dpkg-error-processing-bandwidthd-purge.html I've run sudo apt-get install -f, and get the following: Reading package lists... Contradiction between law of conservation of energy and law of conservation of momentum? Unpacking replacement postgresql-8.4 ...

dpkg: error processing postgresql-common (--configure): subprocess installed post-installation script returned error exit status 1 Errors were encountered while processing: postgresql-common E: Sub-process /usr/bin/dpkg returned an error code (1) Any idea how Not the answer you're looking for? Adding 'diversion of /usr/bin/pg_config to /usr/bin/pg_config.libpq-dev by postgresql-common' Processing triggers for ureadahead ... http://darrenmanning.com/dpkg-error/dpkg-error-processing-purge.html dpkg: error processing postgresql-8.4 (--configure): subprocess installed post-installation script returned error exit status 1 dpkg: dependency problems prevent configuration of postgresql: postgresql depends on postgresql-8.4; however: Package postgresql-8.4 is not configured

yet: ls -al /var/run/postgresql/.s.PGSQL.5432 ls: cannot access /var/run/postgresql/.s.PGSQL.5432: No such file or directory victoria:/var/log/postgresql# ls -al /var/run/postgresql/ total 16 drwxrwsr-x 2 postgres postgres 4096 2009-07-12 17:29 . grazieError! Can you please attach /var/log/postgresql/* ?

dpkg: error processing ssl-cert (--configure): subprocess installed post-installation script returned error exit status 1 All of the subsequent errors are a consequence of the failure to complete the installation of ssl-cert.

Aha! You should upgrade your system to precise or later to fix this. Copy sent to Martin Pitt . (Sun, 12 Jul 2009 22:06:02 GMT) Full text and rfc822 format available. The reason for adding that line still applies but when it becomes necessary, I will post a question on a PostgreSQL forum/newsgroup.

Unpacking replacement postgresql-doc ... ... more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Debian bug tracking system administrator . http://darrenmanning.com/dpkg-error/dpkg-error-processing-snmpd-purge.html dpkg: error processing postgresql (--configure): dependency problems - leaving unconfigured Errors were encountered while processing: postgresql-8.4 postgresql-contrib-8.4 postgresql-plpython-8.4 postgresql-plperl-8.4 postgresql =================== From the Error box: E: postgresql-8.4: subprocess installed post-installation script

Remove any blocking package and upgrade your system. configure command, it fails at: make-ssl-cert generate-default-snakeoil set -xing this file as well fails at: openssl req -config /tmp/tmp.wPl6nkzKYm -new -x509 -days 3650 -nodes -out /etc/ssl/certs/ssl-cert-snakeoil.pem -keyout /etc/ssl/private/ssl-cert-snakeoil.key Running this command However, simply changing write permissions on the directory does not work; they are reset when the default init script runs. I compared the old '.conf' file with the new one.

Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. 2 not fully installed or removed. dpkg: error processing postgresql-8.4 (--configure): subprocess installed post-installation script returned error exit status 1 Errors were encountered while processing: postgresql-8.4 In the "Error Occurred" box: E: postgresql-8.4: subprocess installed post-installation script Edit bug mail Other bug subscribers Subscribe someone else Bug attachments AptOrdering.txt (edit) Dependencies.txt (edit) Df.txt (edit) Dmesg.txt (edit) DpkgTerminalLog.gz (edit) Add attachment • Take the tour • Read the guide I had to compile, install and configure tar.gz of 8.4 from postgresql site.

dpkg: error processing postgresql-contrib-8.4 (--configure): dependency problems - leaving unconfigured dpkg: dependency problems prevent configuration of postgresql-contrib: postgresql-contrib depends on postgresql-contrib-8.4; however: Package postgresql-contrib-8.4 is not configured yet.